summaryrefslogtreecommitdiffstats
path: root/test/Feature
diff options
context:
space:
mode:
authorChris Lattner <sabre@nondot.org>2002-05-02 21:51:55 +0000
committerChris Lattner <sabre@nondot.org>2002-05-02 21:51:55 +0000
commit978d57f6a74503b36587b23293f4cbb349d9f6a8 (patch)
tree4eb5175ea610a887079d1c0f08e3764b457b547e /test/Feature
parent904ec289c2e39e0b48826fd940ac4486c0963ffa (diff)
downloadexternal_llvm-978d57f6a74503b36587b23293f4cbb349d9f6a8.zip
external_llvm-978d57f6a74503b36587b23293f4cbb349d9f6a8.tar.gz
external_llvm-978d57f6a74503b36587b23293f4cbb349d9f6a8.tar.bz2
Use unified diffs with gnu diff instead of old diffs
git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@2449 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'test/Feature')
-rwxr-xr-xtest/Feature/TestOptimizer.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/Feature/TestOptimizer.sh b/test/Feature/TestOptimizer.sh
index be926d1..e086457 100755
--- a/test/Feature/TestOptimizer.sh
+++ b/test/Feature/TestOptimizer.sh
@@ -16,7 +16,7 @@ echo "======== Running optimizier test on $1"
$DIS < $1.bc.1 > $1.ll.1 || exit 3
$DIS < $1.bc.2 > $1.ll.2 || exit 3
- diff $1.ll.[12] || exit 3
+ gdiff -u $1.ll.[12] || exit 3
# Try out SCCP & CleanGCC
$AS < $1 | $OPT -q -inline -dce -cleangcc -sccp -dce \
@@ -26,7 +26,7 @@ echo "======== Running optimizier test on $1"
$OPT -q -sccp -dce < $1.bc.3 > $1.bc.4 || exit 2
$DIS < $1.bc.3 > $1.ll.3 || exit 3
$DIS < $1.bc.4 > $1.ll.4 || exit 3
- diff $1.ll.[34] || exit 3
+ gdiff -u $1.ll.[34] || exit 3
rm $1.bc.[1234] $1.ll.[1234]
touch Output/$1.opt # Success!